# Runestone and Vegvisir Prefabs
## Now place them anywhere!
This is a very small mod that adds a placeable variant of the Vegvisir and Runestone to the world. Since all vegvisirs and runestones in the vanilla game are tied to location prefabs, it was impossible to use spawn to get them on their own without pulling all the other location data with them. This mod solves that.

On its own, this mod just adds the prefabs but they are not interactible or show text in their current state nor do they show in any hammer piece tables. This is intended more for worldbuilding in conjunction with mods that allow that. Here are the recommended mods to use this to its fullest.
- **InfinityHammer**: Allows you to place the vegvisir / runestone freely wherever you like in the world and save it as a blueprint to use as locations with other mods.
- **World Edit Commands, Structure Tweaks & Spawner Tweaks**: Allows you to resize the runestones if needed and put your own text / locations onto them.
- **Expand World Data**: Use to spawn blueprints in as a location containing your runestones and store data about custom text that you can edit.

## Example Runestone (using all listed mods above).

- In the console, type `hammer RuneStone` and press Enter. This will select the runestone and it will become placeable like a building piece. Place it where you want, and build anything else around it if you like.
- In the console, type `hammer area` and press Enter. A circle will appear on the ground - make sure the runestone is within the circle as well as everything else you want to be part of the structure, then left click. You will now see all captured pieces appear on your hammer. In the console again type `hammer_save MyRunestoneLocation`. This will save it to your Blueprints folder as `MyRunestoneLocation.blueprint`.
- Whilst looking at the runestone with your crosshair directly over it, go to the console and type `tweak_runestone name="My Runestone" text="Ulf has discovered how use console commands."` Then press enter. You should now be able to interact with it and see the writing and name.
- Whilst looking at the runestone with your crosshair directly over it, go to the console and type `ew_copy MyRunestoneData`. This will add the override text to `expand_data.yml`.
- In `expand_locations.yml`, add your runestone as a new location like this:
```yml
- prefab: MyRunestoneLocation
  biome: Meadows
  amount: 20
  clearArea: true
  levelArea: true
  exteriorRadius: 10
  paint: dirt
  minAltitude: 3
  objectData:
  - all, infinite_health
  - RuneStone, MyRunestoneData
```
If usnig UpgradeWorld you can then use `locations_add MyRunestoneLocation start` to spawn them around your world.

## Contact Me (Bug Reports & Suggestions)
If you have any suggestions, or experience bugs / problems using this mod please get in touch with me on my [Discord](https://discord.gg/K2gnt7ZMHX).

## Changelog

### Changelog 1.0.0

- Initial Release

## Installation
Move the 'plugins' folder from the archive to your BepInEx folder.